SMSCollections (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSCollections interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSCollections

All Superinterfaces:
  Collection, ConfigurationItem, ImplicitCollection, ManagedElement, ModelObject, java.io.Serializable

    public interface SMSCollections

extends ImplicitCollection, ConfigurationItem

Collection class contains the rules that logically relate resources into collections of resources. This class also contains information about the collection, such as the refresh schedule and the class name that contains the members, SMS_CM_RES_COLL_CollectionID. You can use a collection to target resources for software distribution. Ref Microsoft SMS 2003 SDK

Naming Rules:
  0="SMSHierarchy,name"
Persistable:
  true
Table Name:
  SMSCOLLECTIONS
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getComment()` General comment or note that documents the collection.
`int` | `getCurrentStatus()` Current status of the collection.
`long` | `getLastChangeTime()` Date and time the collection was last altered in any way.
`long` | `getLastMemberChangeTime()` Date and time the collection's membership last changed.
`long` | `getLastRefreshTime()` Date and time the collection membership was last refreshed.
`java.lang.String` | `getMemberClassName()` Class name whose instances are the members of this collection.
`boolean` | `getOwnedByThisSite()` Indicates whether the collection originated from the local SMS site.
`java.lang.String` | `getRefreshSchedule()` Defines an update or refresh schedule for the collection.
`int` | `getRefreshType()` Defines whether SMS periodically refreshes the collection based on the schedule specified in RefreshSchedule or you manually update the collection by using the RequestRefresh method.
`boolean` | `getReplicateToSubSities()` Indicates whether the collection is shared with any child SMS sites.
`SMSAdvertizements` | `getSMSAdvertisement()`
`SMSCollectionClients[]` | `getSMSCollectionClients()`
`SMSHierarchy` | `getSMSHierarchy()`
`boolean` | `hasComment()`
`boolean` | `hasCurrentStatus()`
`boolean` | `hasLastChangeTime()`
`boolean` | `hasLastMemberChangeTime()`
`boolean` | `hasLastRefreshTime()`
`boolean` | `hasMemberClassName()`
`boolean` | `hasOwnedByThisSite()`
`boolean` | `hasRefreshSchedule()`
`boolean` | `hasRefreshType()`
`boolean` | `hasReplicateToSubSities()`
`boolean` | `hasSMSAdvertisement()`
`boolean` | `hasSMSCollectionClients()`
`boolean` | `hasSMSHierarchy()`
`void` | `setComment(java.lang.String x)`
`void` | `setCurrentStatus(int x)`
`void` | `setLastChangeTime(long x)`
`void` | `setLastMemberChangeTime(long x)`
`void` | `setLastRefreshTime(long x)`
`void` | `setMemberClassName(java.lang.String x)`
`void` | `setOwnedByThisSite(boolean x)`
`void` | `setRefreshSchedule(java.lang.String x)`
`void` | `setRefreshType(int x)`
`void` | `setReplicateToSubSities(boolean x)`
`void` | `setSMSAdvertisement(SMSAdvertizements x)`
`void` | `setSMSCollectionClients(SMSCollectionClients[] x)`
`void` | `setSMSHierarchy(SMSHierarchy x)`

Methods inherited from interface com.collation.platform.model.topology.core.ImplicitCollection
`getDefinition, hasDefinition, setDefinition`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getLastRefreshTime

    long getLastRefreshTime()
                            throws AttributeNotSetException

  Date and time the collection membership was last refreshed.

  Throws:
    `AttributeNotSetException`

### setLastRefreshTime

    void setLastRefreshTime(long x)

### hasLastRefreshTime

    boolean hasLastRefreshTime()

### getComment

    java.lang.String getComment()
                                throws AttributeNotSetException

  General comment or note that documents the collection.

  Throws:
    `AttributeNotSetException`

### setComment

    void setComment(java.lang.String x)

### hasComment

    boolean hasComment()

### getRefreshSchedule

    java.lang.String getRefreshSchedule()
                                        throws AttributeNotSetException

  Defines an update or refresh schedule for the collection. The collection membership is only updated if you specify a schedule or call the RequestRefresh method. For the collection evaluator to use the schedule, the RefreshType property must be set to PERIODIC.

  Throws:
    `AttributeNotSetException`

### setRefreshSchedule

    void setRefreshSchedule(java.lang.String x)

### hasRefreshSchedule

    boolean hasRefreshSchedule()

### getCurrentStatus

    int getCurrentStatus()
                         throws AttributeNotSetException

  Current status of the collection. Values are: NONE (0) READY (1) REFRESHING (2) SAVING (3) EVALUATING (4) AWAITING_REFRESH (5) DELETING (6) APPENDING_MEMBER (7) QUERYING (8)

  Throws:
    `AttributeNotSetException`

### setCurrentStatus

    void setCurrentStatus(int x)

### hasCurrentStatus

    boolean hasCurrentStatus()

### getOwnedByThisSite

    boolean getOwnedByThisSite()
                               throws AttributeNotSetException

  Indicates whether the collection originated from the local SMS site. The Lazy qualifier has been removed from this property for SMS 2.0 SP2 and later.

  Throws:
    `AttributeNotSetException`

### setOwnedByThisSite

    void setOwnedByThisSite(boolean x)

### hasOwnedByThisSite

    boolean hasOwnedByThisSite()

### getLastMemberChangeTime

    long getLastMemberChangeTime()
                                 throws AttributeNotSetException

  Date and time the collection's membership last changed.

  Throws:
    `AttributeNotSetException`

### setLastMemberChangeTime

    void setLastMemberChangeTime(long x)

### hasLastMemberChangeTime

    boolean hasLastMemberChangeTime()

### getLastChangeTime

    long getLastChangeTime()
                           throws AttributeNotSetException

  Date and time the collection was last altered in any way.

  Throws:
    `AttributeNotSetException`

### setLastChangeTime

    void setLastChangeTime(long x)

### hasLastChangeTime

    boolean hasLastChangeTime()

### getSMSCollectionClients

    SMSCollectionClients[] getSMSCollectionClients()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSCollectionClients

    void setSMSCollectionClients(SMSCollectionClients[] x)

### hasSMSCollectionClients

    boolean hasSMSCollectionClients()

### getReplicateToSubSities

    boolean getReplicateToSubSities()
                                    throws AttributeNotSetException

  Indicates whether the collection is shared with any child SMS sites.

  Throws:
    `AttributeNotSetException`

### setReplicateToSubSities

    void setReplicateToSubSities(boolean x)

### hasReplicateToSubSities

    boolean hasReplicateToSubSities()

### getRefreshType

    int getRefreshType()
                       throws AttributeNotSetException

  Defines whether SMS periodically refreshes the collection based on the schedule specified in RefreshSchedule or you manually update the collection by using the RequestRefresh method. Values are: MANUAL (1) PERIODIC (2)

  Throws:
    `AttributeNotSetException`

### setRefreshType

    void setRefreshType(int x)

### hasRefreshType

    boolean hasRefreshType()

### getSMSAdvertisement

    SMSAdvertizements getSMSAdvertisement()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setSMSAdvertisement

    void setSMSAdvertisement(SMSAdvertizements x)

### hasSMSAdvertisement

    boolean hasSMSAdvertisement()

### getSMSHierarchy

    SMSHierarchy getSMSHierarchy()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSHierarchy

    void setSMSHierarchy(SMSHierarchy x)

### hasSMSHierarchy

    boolean hasSMSHierarchy()

### getMemberClassName

    java.lang.String getMemberClassName()
                                        throws AttributeNotSetException

  Class name whose instances are the members of this collection. The collection membership is not contained in SMS_Collection but is instead contained in the class name specified by this property. The class name is generated dynamically and has the format SMS_CM_RES_COLL_CollectionID.

  Throws:
    `AttributeNotSetException`

### setMemberClassName

    void setMemberClassName(java.lang.String x)

### hasMemberClassName

    boolean hasMemberClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD